curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/netsuite/cash-sales' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"orderData": {}
}'
{
"recordId": "string",
"data": {}
}
Create a NetSuite cash sale
NetSuite cash sale created
POST
/
v1
/
tenants
/
{tenant_id}
/
netsuite
/
cash-sales
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/netsuite/cash-sales' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"orderData": {}
}'
{
"recordId": "string",
"data": {}
}
Path parameters
string
required
Tenant identifier
Request body
object
object
required
Cash sale data in NetSuite format
Response
object
string
required
NetSuite internal record ID
object
required
Full record data
Status codes
| Code | Meaning |
|---|---|
200 | NetSuite cash sale created |
401 | Unauthorized |
424 | NetSuite integration not configured |
502 | NetSuite API error |
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/netsuite/cash-sales' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"orderData": {}
}'
{
"recordId": "string",
"data": {}
}
Last modified on August 31, 2026